<?xml version="1.0" encoding="utf-8"?>
<layout  xmlns:android="http://schemas.android.com/apk/res/android">
    <data>
        <variable name="info" type="rasel.lunar.launcher.model.ShowingWeatherInfo"/>
    </data>
    <androidx.constraintlayout.widget.ConstraintLayout
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:textAlignment="center">
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            android:id="@+id/header">
            <ImageView
                android:id="@+id/imageView"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:contentDescription="시계 아이콘"
                app:srcCompat="@drawable/ico_time"
                tools:ignore="ImageContrastCheck"
                android:layout_marginLeft="20dp"
                app:tint="@android:color/white"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/textView2"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"/>
            <TextView
                android:id="@+id/textView2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="시간별 예보"
                android:gravity="left"
                android:textSize="14sp"
                android:layout_marginLeft="10dp"
                app:layout_constraintStart_toEndOf="@id/imageView"
                app:layout_constraintEnd_toStartOf="@id/textViewLocation"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintWidth_default="spread"/>
            <TextView
                android:id="@+id/textViewLocation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="@{info.textLocation}"
                android:textAlignment="center"
                android:textSize="11sp"
                android:layout_marginRight="20dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"/>
        </androidx.constraintlayout.widget.ConstraintLayout>
        <androidx.recyclerview.widget.RecyclerView
            app:layout_constraintTop_toBottomOf="@id/header"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            android:id="@+id/weather_recycller"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
        </androidx.recyclerview.widget.RecyclerView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>